Operating System:

[SUSE]

Published:

13 December 2016

Protect yourself against future threats.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2016.2919
               SUSE Security Update: Security update for xen
                             13 December 2016

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:          xen
Publisher:        SUSE
Operating System: SUSE
Impact/Access:    Execute Arbitrary Code/Commands -- Existing Account
                  Increased Privileges            -- Existing Account
                  Delete Arbitrary Files          -- Existing Account
                  Denial of Service               -- Existing Account
                  Access Confidential Data        -- Existing Account
Resolution:       Patch/Upgrade
CVE Names:        CVE-2016-9637 CVE-2016-9386 CVE-2016-9385
                  CVE-2016-9383 CVE-2016-9382 CVE-2016-9381
                  CVE-2016-9380 CVE-2016-9379 CVE-2016-9378
                  CVE-2016-9377 CVE-2016-8910 CVE-2016-8909
                  CVE-2016-8669 CVE-2016-8667 CVE-2016-8576
                  CVE-2016-7995 CVE-2016-7909 CVE-2016-7908
                  CVE-2016-7777  

Reference:        ESB-2016.2907
                  ESB-2016.2814
                  ESB-2016.2808

- --------------------------BEGIN INCLUDED TEXT--------------------

   SUSE Security Update: Security update for xen
______________________________________________________________________________

Announcement ID:    SUSE-SU-2016:3083-1
Rating:             important
References:         #1000106 #1003030 #1003032 #1003870 #1004016 
                    #1005004 #1005005 #1007157 #1007160 #1009100 
                    #1009103 #1009104 #1009107 #1009108 #1009109 
                    #1009111 #1011652 
Cross-References:   CVE-2016-7777 CVE-2016-7908 CVE-2016-7909
                    CVE-2016-7995 CVE-2016-8576 CVE-2016-8667
                    CVE-2016-8669 CVE-2016-8909 CVE-2016-8910
                    CVE-2016-9377 CVE-2016-9378 CVE-2016-9379
                    CVE-2016-9380 CVE-2016-9381 CVE-2016-9382
                    CVE-2016-9383 CVE-2016-9385 CVE-2016-9386
                    CVE-2016-9637
Affected Products:
                    SUSE Linux Enterprise Software Development Kit 12-SP1
                    SUSE Linux Enterprise Server 12-SP1
                    SUSE Linux Enterprise Desktop 12-SP1
______________________________________________________________________________

   An update that fixes 19 vulnerabilities is now available.

Description:


   This update for xen to version 4.5.5 fixes several issues.

   These security issues were fixed:

   - CVE-2016-9637: ioport array overflow allowing a malicious guest
     administrator can escalate their privilege to that of the host
     (bsc#1011652)
   - CVE-2016-9386: x86 null segments were not always treated as unusable
     allowing an unprivileged guest user program to elevate its privilege to
     that of the guest operating system. Exploit of this vulnerability is
     easy on Intel and more complicated on AMD (bsc#1009100)
   - CVE-2016-9382: x86 task switch to VM86 mode was mis-handled, allowing a
     unprivileged guest process to escalate its privilege to that of the
     guest operating system on AMD hardware. On Intel hardware a malicious
     unprivileged guest process can crash the guest (bsc#1009103)
   - CVE-2016-9385: x86 segment base write emulation lacked canonical address
     checks, allowing a malicious guest administrator to crash the host
     (bsc#1009104)
   - CVE-2016-9383: The x86 64-bit bit test instruction emulation was broken,
     allowing a guest to modify arbitrary memory leading to arbitray code
     execution (bsc#1009107)
   - CVE-2016-9378: x86 software interrupt injection was mis-handled,
     allowing an unprivileged guest user to crash the guest (bsc#1009108)
   - CVE-2016-9377: x86 software interrupt injection was mis-handled,
     allowing an unprivileged guest user to crash the guest (bsc#1009108)
   - CVE-2016-9381: Improper processing of shared rings allowing guest
     administrators take over the qemu process, elevating their privilege to
     that of the qemu process (bsc#1009109)
   - CVE-2016-9380: Delimiter injection vulnerabilities in pygrub allowed
     guest administrators to obtain the contents of sensitive host files or
     delete the files (bsc#1009111)
   - CVE-2016-9379: Delimiter injection vulnerabilities in pygrub allowed
     guest administrators to obtain the contents of sensitive host files or
     delete the files (bsc#1009111)
   - CVE-2016-7777: Xen did not properly honor CR0.TS and CR0.EM, which
     allowed local x86 HVM guest OS users to read or modify FPU, MMX, or XMM
     register state information belonging to arbitrary tasks on the guest by
     modifying an instruction while the hypervisor is preparing to emulate it
     (bsc#1000106)
   - CVE-2016-8910: The rtl8139_cplus_transmit function in hw/net/rtl8139.c
     allowed local guest OS administrators to cause a denial of service
     (infinite loop and CPU consumption) by leveraging failure to limit the
     ring descriptor count (bsc#1007157)
   - CVE-2016-8909: The intel_hda_xfer function in hw/audio/intel-hda.c
     allowed local guest OS administrators to cause a denial of service
     (infinite loop and CPU consumption) via an entry with the same value for
     buffer length and pointer position (bsc#1007160).
   - CVE-2016-8667: The rc4030_write function in hw/dma/rc4030.c in allowed
     local guest OS administrators to cause a denial of service
     (divide-by-zero error and QEMU process crash) via a large interval timer
     reload value (bsc#1005004)
   - CVE-2016-8669: The serial_update_parameters function in hw/char/serial.c
     allowed local guest OS administrators to cause a denial of service
     (divide-by-zero error and QEMU process crash) via vectors involving a
     value of divider greater than baud base (bsc#1005005)
   - CVE-2016-7995: A memory leak in ehci_process_itd allowed a privileged
     user inside guest to DoS the host (bsc#1003870).
   - CVE-2016-8576: The xhci_ring_fetch function in hw/usb/hcd-xhci.c allowed
     local guest OS administrators to cause a denial of service (infinite
     loop and QEMU process crash) by leveraging failure to limit the number
     of link Transfer Request Blocks (TRB) to process (bsc#1004016).
   - CVE-2016-7908: The mcf_fec_do_tx function in hw/net/mcf_fec.c did not
     properly limit the buffer descriptor count when transmitting packets,
     which allowed local guest OS administrators to cause a denial of service
     (infinite loop and QEMU process crash) via vectors involving a buffer
     descriptor with a length of 0 and crafted values in bd.flags
     (bsc#1003030)
   - CVE-2016-7909: The pcnet_rdra_addr function in hw/net/pcnet.c allowed
     local guest OS administrators to cause a denial of service (infinite
     loop and QEMU process crash) by setting the (1) receive or (2) transmit
     descriptor ring length to 0 (bsc#1003032)


Patch Instructions:

   To install this SUSE Security Update use YaST online_update.
   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Software Development Kit 12-SP1:

      zypper in -t patch SUSE-SLE-SDK-12-SP1-2016-1795=1

   - SUSE Linux Enterprise Server 12-SP1:

      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2016-1795=1

   - SUSE Linux Enterprise Desktop 12-SP1:

      zypper in -t patch SUSE-SLE-DESKTOP-12-SP1-2016-1795=1

   To bring your system up-to-date, use "zypper patch".


Package List:

   - SUSE Linux Enterprise Software Development Kit 12-SP1 (x86_64):

      xen-debugsource-4.5.5_02-22.3.1
      xen-devel-4.5.5_02-22.3.1

   - SUSE Linux Enterprise Server 12-SP1 (x86_64):

      xen-4.5.5_02-22.3.1
      xen-debugsource-4.5.5_02-22.3.1
      xen-doc-html-4.5.5_02-22.3.1
      xen-kmp-default-4.5.5_02_k3.12.67_60.64.18-22.3.1
      xen-kmp-default-debuginfo-4.5.5_02_k3.12.67_60.64.18-22.3.1
      xen-libs-32bit-4.5.5_02-22.3.1
      xen-libs-4.5.5_02-22.3.1
      xen-libs-debuginfo-32bit-4.5.5_02-22.3.1
      xen-libs-debuginfo-4.5.5_02-22.3.1
      xen-tools-4.5.5_02-22.3.1
      xen-tools-debuginfo-4.5.5_02-22.3.1
      xen-tools-domU-4.5.5_02-22.3.1
      xen-tools-domU-debuginfo-4.5.5_02-22.3.1

   - SUSE Linux Enterprise Desktop 12-SP1 (x86_64):

      xen-4.5.5_02-22.3.1
      xen-debugsource-4.5.5_02-22.3.1
      xen-kmp-default-4.5.5_02_k3.12.67_60.64.18-22.3.1
      xen-kmp-default-debuginfo-4.5.5_02_k3.12.67_60.64.18-22.3.1
      xen-libs-32bit-4.5.5_02-22.3.1
      xen-libs-4.5.5_02-22.3.1
      xen-libs-debuginfo-32bit-4.5.5_02-22.3.1
      xen-libs-debuginfo-4.5.5_02-22.3.1


References:

   https://www.suse.com/security/cve/CVE-2016-7777.html
   https://www.suse.com/security/cve/CVE-2016-7908.html
   https://www.suse.com/security/cve/CVE-2016-7909.html
   https://www.suse.com/security/cve/CVE-2016-7995.html
   https://www.suse.com/security/cve/CVE-2016-8576.html
   https://www.suse.com/security/cve/CVE-2016-8667.html
   https://www.suse.com/security/cve/CVE-2016-8669.html
   https://www.suse.com/security/cve/CVE-2016-8909.html
   https://www.suse.com/security/cve/CVE-2016-8910.html
   https://www.suse.com/security/cve/CVE-2016-9377.html
   https://www.suse.com/security/cve/CVE-2016-9378.html
   https://www.suse.com/security/cve/CVE-2016-9379.html
   https://www.suse.com/security/cve/CVE-2016-9380.html
   https://www.suse.com/security/cve/CVE-2016-9381.html
   https://www.suse.com/security/cve/CVE-2016-9382.html
   https://www.suse.com/security/cve/CVE-2016-9383.html
   https://www.suse.com/security/cve/CVE-2016-9385.html
   https://www.suse.com/security/cve/CVE-2016-9386.html
   https://www.suse.com/security/cve/CVE-2016-9637.html
   https://bugzilla.suse.com/1000106
   https://bugzilla.suse.com/1003030
   https://bugzilla.suse.com/1003032
   https://bugzilla.suse.com/1003870
   https://bugzilla.suse.com/1004016
   https://bugzilla.suse.com/1005004
   https://bugzilla.suse.com/1005005
   https://bugzilla.suse.com/1007157
   https://bugzilla.suse.com/1007160
   https://bugzilla.suse.com/1009100
   https://bugzilla.suse.com/1009103
   https://bugzilla.suse.com/1009104
   https://bugzilla.suse.com/1009107
   https://bugzilla.suse.com/1009108
   https://bugzilla.suse.com/1009109
   https://bugzilla.suse.com/1009111
   https://bugzilla.suse.com/1011652

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        http://www.auscert.org.au/render.html?cid=1980

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBWE83YIx+lLeg9Ub1AQg9ow//dRBOh7ONVgAlwULguTSDb/YVVzJf6v5E
77+YTe6PMnO3ZEpHrLu2kfZsAKnlMmX/f7Azrucfr8vcc60HQRPTJ545C4JCq9DH
t7+XdefF5eQFnvaUz7NFd1yyLWyvxXdomK1gvSPKETwmZtZsm0cN8/7N5XOy9qXq
67rlXAvUEt4Uzt4zE7Oju780kyRblDeGwcdYcojpPiZpI1JNQB2U+VQt0Rx/k5ML
qAjfskh+teQrJeBcJcwGU0fnMrN1uoJcAje16/6lZx9d79GgtutiEYi9uYtBYQGl
HXNKIpvj4WVtE+g20FPmMvslnWQZMGIk3pBDXOG9GdbJfNzflg/RY4XpfyoY5PzP
MrqdZXpN8i1JrqhBnOBS3q77OwzuDQ8Obosyn7gJAcKenp2xJN0x1PeOYrFkS7TL
ub/YmQnlp2t9NGGqcVIY4VbHRWbU/NXaBGdQSRTwDON8TauxayeWWcyy8UeLG2lk
0fhz1/ylZW7Tu2QbOmCssJr/VWHg+kHAmZ5HbYcQTz7hGILZbA/kYNHqqw+zctQH
g2JB7nvFsye1ogZ4rIa3lqkXyMzkCYnazqEMlNOxMHm9j1vJo298IF1AHCvGOuUJ
Nh1HUNd0+mLTq7S0Y1qjik88Ot53+k6UT0a/L/Pmast0CkaSmBLm8ZGgb0EPA+4q
O6mv3Ds1jZw=
=GcKh
-----END PGP SIGNATURE-----